VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::privilege::ServiceStub Class Reference

Remote stub implementation of the Service API service. More...

Inherits vmware::vapi::metadata::privilege::Service.

List of all members.

## Public Member Functions
| ServiceStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
global::System.Collections.Generic.List < string > | List ()
| Returns the identifiers for the service elements that have privilege information.
global::System.Collections.Generic.List < string > | List (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the identifiers for the service elements that have privilege information.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync ()
| Returns the identifiers for the service elements that have privilege information.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the identifiers for the service elements that have privilege information.
vmware.vapi.metadata.privilege.ServiceInfo | Get (string serviceId)
| Retrieves privilege information about the service element corresponding to serviceId .
vmware.vapi.metadata.privilege.ServiceInfo | Get (string serviceId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves privilege information about the service element corresponding to serviceId .
global::System.Threading.Tasks.Task < vmware.vapi.metadata.privilege.ServiceInfo > | GetAsync (string serviceId)
| Retrieves privilege information about the service element corresponding to serviceId .
global::System.Threading.Tasks.Task < vmware.vapi.metadata.privilege.ServiceInfo > | GetAsync (string serviceId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves privilege information about the service element corresponding to serviceId .

## Detailed Description

Remote stub implementation of the Service API service.

## Constructor & Destructor Documentation

vmware::vapi::metadata::privilege::ServiceStub::ServiceStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

vmware.vapi.metadata.privilege.ServiceInfo vmware::vapi::metadata::privilege::ServiceStub::Get | ( | string | serviceId | ) | `[inline]`

Retrieves privilege information about the service element corresponding to serviceId .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service element associated with serviceId does not have any privilege information.

Parameters:

  serviceId | Identifier of the service element. The parameter must be an identifier for the resource type: `com.vmware.vapi.service` .

Returns:
  The ServiceInfo instance that corresponds to serviceId

Implements vmware::vapi::metadata::privilege::Service.

vmware.vapi.metadata.privilege.ServiceInfo vmware::vapi::metadata::privilege::ServiceStub::Get | ( | string | serviceId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Retrieves privilege information about the service element corresponding to serviceId .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service element associated with serviceId does not have any privilege information.

Parameters:

  serviceId | Identifier of the service element. The parameter must be an identifier for the resource type: `com.vmware.vapi.service` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The ServiceInfo instance that corresponds to serviceId

Implements vmware::vapi::metadata::privilege::Service.

global::System.Threading.Tasks.Task<vmware.vapi.metadata.privilege.ServiceInfo> vmware::vapi::metadata::privilege::ServiceStub::GetAsync | ( | string | serviceId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Retrieves privilege information about the service element corresponding to serviceId .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service element associated with serviceId does not have any privilege information.

Parameters:

  serviceId | Identifier of the service element. The parameter must be an identifier for the resource type: `com.vmware.vapi.service` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The ServiceInfo instance that corresponds to serviceId

Implements vmware::vapi::metadata::privilege::Service.

global::System.Threading.Tasks.Task<vmware.vapi.metadata.privilege.ServiceInfo> vmware::vapi::metadata::privilege::ServiceStub::GetAsync | ( | string | serviceId | ) | `[inline]`

Retrieves privilege information about the service element corresponding to serviceId .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service element associated with serviceId does not have any privilege information.

Parameters:

  serviceId | Identifier of the service element. The parameter must be an identifier for the resource type: `com.vmware.vapi.service` .

Returns:
  The ServiceInfo instance that corresponds to serviceId

Implements vmware::vapi::metadata::privilege::Service.

global::System.Collections.Generic.List<string> vmware::vapi::metadata::privilege::ServiceStub::List | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns the identifiers for the service elements that have privilege information.

Returns:
  The list of identifiers for the service elements that have privilege information. The result will contain identifiers for the resource type: `com.vmware.vapi.service` .

Implements vmware::vapi::metadata::privilege::Service.

global::System.Collections.Generic.List<string> vmware::vapi::metadata::privilege::ServiceStub::List | ( |  | ) | `[inline]`

Returns the identifiers for the service elements that have privilege information.

Returns:
  The list of identifiers for the service elements that have privilege information. The result will contain identifiers for the resource type: `com.vmware.vapi.service` .

Implements vmware::vapi::metadata::privilege::Service.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::vapi::metadata::privilege::ServiceStub::ListAsync | ( |  | ) | `[inline]`

Returns the identifiers for the service elements that have privilege information.

Returns:
  The list of identifiers for the service elements that have privilege information. The result will contain identifiers for the resource type: `com.vmware.vapi.service` .

Implements vmware::vapi::metadata::privilege::Service.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::vapi::metadata::privilege::ServiceStub::ListAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns the identifiers for the service elements that have privilege information.

Returns:
  The list of identifiers for the service elements that have privilege information. The result will contain identifiers for the resource type: `com.vmware.vapi.service` .

Implements vmware::vapi::metadata::privilege::Service.

The documentation for this class was generated from the following file:

- vapi/metadata/privilege/ServiceStub.cs